import { isNoValue as o } from "../utils.mjs";
const s = {
  get(a) {
    let e = [];
    const t = a.component?.exposed;
    return t && (e = t.getRowsData()), e;
  },
  set(a, e) {
    if (o(e)) return;
    const t = a.component?.exposed;
    t && t.setTableData(e);
  }
};
export {
  s as default
};
